Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charvax.swing
Class JButton

    java.lang.Object
      charva.awt.Component
          charvax.swing.JComponent
              charvax.swing.AbstractButton
                  charvax.swing.JButton

All Implemented Interfaces:
  EventListener, ItemSelectable, KeyListener

public class JButton
extends AbstractButton

An implementation of a "pushbutton" with a text label.

Field Summary

Fields inherited from class charvax.swing.AbstractButton
`_actionListeners, _itemListeners`

Fields inherited from class charvax.swing.JComponent
`_border`

Fields inherited from class charva.awt.Component
`_alignmentX, _alignmentY, _background, _cursesColor, _enabled, _focusListeners, _foreground, _keyListeners, _origin, _parent, _visible, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`JButton()` Default constructor - construct a button with an empty label.
`JButton(java.lang.String text_)`

Method Summary
`void` | `debug(int level_)`
`void` | `draw()` Draw the button.
`int` | `getHeight()`
`Dimension` | `getSize()` Return the size of the button.
`int` | `getWidth()`
`Dimension` | `minimumSize()` Called by the LayoutManager.
`void` | `processKeyEvent(KeyEvent ke_)` Processes key events occurring on this object by dispatching them to any registered KeyListener objects.
`void` | `requestFocus()` This method should be invoked by all subclasses of Component which override this method; because this method generates the FOCUS_GAINED event when the component gains the keyboard focus.
`void` | `setLabel(java.lang.String label_)` Deprecated. Replaced by setText(String text)
`void` | `setText(java.lang.String label_)` Sets the button's label text.
`java.lang.String` | `toString()`

Methods inherited from class charvax.swing.AbstractButton
`addActionListener, addItemListener, doClick, fireActionPerformed, fireItemStateChanged, getActionCommand, getLabel, getLabelString, getMnemonic, getText, isSelected, keyPressed, keyReleased, keyTyped, processEvent, processMouseEvent, removeItemListener, setActionCommand, setMnemonic, setSelected`

Methods inherited from class charvax.swing.JComponent
`getBorder, getInsets, setBorder`

Methods inherited from class charva.awt.Component
`addFocusListener, addKeyListener, contains, contains, getAlignmentX, getAlignmentY, getAncestorWindow, getBackground, getBounds, getCursesColor, getForeground, getLocation, getLocationOnScreen, getName, getParent, hasFocus, hide, invalidate, isDisplayed, isEnabled, isFocusTraversable, isTotallyObscured, isValid, isVisible, processFocusEvent, repaint, requestSync, setBackground, setBounds, setBounds, setBounds, setEnabled, setForeground, setLocation, setLocation, setName, setParent, setVisible, show, validate, validateCursesColor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JButton

    public JButton()

  Default constructor - construct a button with an empty label.

### JButton

    public JButton(java.lang.String text_)

Method Detail

### setLabel

    public void setLabel(java.lang.String label_)

  Deprecated. Replaced by setText(String text)

  Overrides:
    `setLabel` in class `AbstractButton`

### setText

    public void setText(java.lang.String label_)

  Description copied from class: `AbstractButton`
  Sets the button's label text.

  Overrides:
    `setText` in class `AbstractButton`

### getSize

    public Dimension getSize()

  Return the size of the button. The button is always one line high, and two columns wider than the label, plus the size of the border (if any).

  Specified by:
    `getSize` in class `Component`

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in class `Component`

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in class `Component`

### minimumSize

    public Dimension minimumSize()

  Called by the LayoutManager.

  Specified by:
    `minimumSize` in class `Component`

### draw

    public void draw()

  Draw the button. Called by this JButton's parent container.

  Overrides:
    `draw` in class `JComponent`

### processKeyEvent

    public void processKeyEvent(KeyEvent ke_)

  Processes key events occurring on this object by dispatching them to any registered KeyListener objects.

  Overrides:
    `processKeyEvent` in class `Component`

### requestFocus

    public void requestFocus()

  Description copied from class: `Component`
  This method should be invoked by all subclasses of Component which override this method; because this method generates the FOCUS_GAINED event when the component gains the keyboard focus.

  Overrides:
    `requestFocus` in class `Component`

### toString

    public java.lang.String toString()

### debug

    public void debug(int level_)

  Specified by:
    `debug` in class `Component`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD